Bug 479136 - fix for missing defines etc. in /usr/include/corosync/corotypes.h
fix for missing defines etc. in /usr/include/corosync/corotypes.h
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: corosync (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Steven Dake
Fedora Extras Quality Assurance
:
: 489781 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-07 09:36 EST by Caolan McNamara
Modified: 2016-04-26 12:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-08 20:32:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix up header (2.12 KB, patch)
2009-01-07 09:36 EST, Caolan McNamara
no flags Details | Diff

  None (edit)
Description Caolan McNamara 2009-01-07 09:36:25 EST
Created attachment 328390 [details]
fix up header 

Description of problem:
various backwards compatible defines misspelt or missing

i.e.
#define EVS_ERR_LIBRARY                                CS_ERR_ERR_LIBRARY
but the enum is CS_ERR_LIBRARY not CS_ERR_ERR_LIBRARY

There probably should be a
#define CPG_ERR_TOO_MANY_GROUPS                CS_ERR_TOO_MANY_GROUPS

and there are defines against "CS_ERR_SECURITY" which doesn't exist, I suspect a 
CS_ERR_SECURITY = 29,
is missing.

Version-Release number of selected component (if applicable):
corosync-0.92-5.svn1709.fc11.x86_64

patch attached to fix it up, which enables qpid rebuild to succeed
Comment 1 Steven Dake 2009-03-18 17:19:03 EDT
I will send patch upstream.
Comment 2 Steven Dake 2009-03-18 17:32:00 EDT
patch merged, expect in new fc10/fc11 release in 1-2 days.
Comment 3 Steven Dake 2009-03-18 17:40:47 EDT
*** Bug 489781 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.